<?php
/**
 * @version $Id$
 * @package    Contact_Enhanced
 * @subpackage Views
 * @author     Douglas Machado {@link http://ideal.fok.com.br}
 * @author     Created on 04-Dec-09
 * @license		GNU/GPL, see license.txt
 * Contact Enhanced  is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses. */

//-- No direct access
defined('_JEXEC') or die('=;)');

jimport('joomla.application.component.view');

class Contact_EnhancedsViewMessages extends JView
{

	function display($tpl = null)
	{
		global $mainframe, $option;
		$filter_catid	= $mainframe->getUserStateFromRequest( $option.'.filter_catid', 'filter_catid',	'', 'cmd' );
		JHTML::stylesheet( 'contact_enhanced.css', 'administrator/components/com_contact_enhanced/assets/' );
		JToolBarHelper::title(   '&nbsp;&nbsp;' .JText::_( 'Messages' ), 'inbox');
		JToolBarHelper::publishList();
      	JToolBarHelper::unpublishList();
      
		JToolBarHelper::deleteList();
		JToolBarHelper::custom('view', 'preview', '', 'View Message', true, true);

		$items	= & $this->get('Data');
		$pagination =& $this->get('Pagination');

		$lists = & $this->get('List');

		$this->assignRef('items',		$items);
		$this->assignRef('pagination',	$pagination);
		$this->assignRef('lists',		$lists);
		$this->assignRef('filter_catid',$filter_catid);

		parent::display($tpl);
	}// function

}// class
